Index: /trunk/src/VBox/HostDrivers/win/Makefile.kmk
===================================================================
--- /trunk/src/VBox/HostDrivers/win/Makefile.kmk	(revision 41840)
+++ /trunk/src/VBox/HostDrivers/win/Makefile.kmk	(revision 41841)
@@ -30,5 +30,7 @@
 HostDrivers-scripts_EXEC_SOURCES = \
 	loadall.sh \
-	loadall.cmd
+	loadall.cmd \
+	load.sh \
+	load.cmd
 
 # generate rules
Index: /trunk/src/VBox/HostDrivers/win/load.cmd
===================================================================
--- /trunk/src/VBox/HostDrivers/win/load.cmd	(revision 41841)
+++ /trunk/src/VBox/HostDrivers/win/load.cmd	(revision 41841)
@@ -0,0 +1,43 @@
+@echo off
+rem $Id$
+rem rem @file
+rem Windows NT batch script for launching load.sh
+rem
+
+rem
+rem Copyright (C) 2009-2012 Oracle Corporation
+rem
+rem This file is part of VirtualBox Open Source Edition (OSE), as
+rem available from http://www.virtualbox.org. This file is free software;
+rem you can redistribute it and/or modify it under the terms of the GNU
+rem General Public License (GPL) as published by the Free Software
+rem Foundation, in version 2 as it comes in the "COPYING" file of the
+rem VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+rem hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+rem
+
+
+setlocal ENABLEEXTENSIONS
+setlocal
+
+rem
+rem loadall.sh should be in the same directory as this script.
+rem
+set MY_SCRIPT=%~dp0load.sh
+if exist "%MY_SCRIPT%" goto found
+echo load.cmd: failed to find load.sh in "%~dp0".
+goto end
+
+rem
+rem Found it, convert slashes and tell kmk_ash to interpret it.
+rem
+:found
+set MY_SCRIPT=%MY_SCRIPT:\=/%
+set MY_ARGS=%*
+if ".%MY_ARGS%." NEQ ".." set MY_ARGS=%MY_ARGS:\=/%
+kmk_ash %MY_SCRIPT% %MY_ARGS%
+
+:end
+endlocal
+endlocal
+
Index: /trunk/src/VBox/HostDrivers/win/load.sh
===================================================================
--- /trunk/src/VBox/HostDrivers/win/load.sh	(revision 41841)
+++ /trunk/src/VBox/HostDrivers/win/load.sh	(revision 41841)
@@ -0,0 +1,73 @@
+#!/bin/bash
+## @file
+# For development, builds and loads all the host drivers.
+#
+
+#
+# Copyright (C) 2010-2011 Oracle Corporation
+#
+# This file is part of VirtualBox Open Source Edition (OSE), as
+# available from http://www.virtualbox.org. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License (GPL) as published by the Free Software
+# Foundation, in version 2 as it comes in the "COPYING" file of the
+# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+#
+
+MY_DIR=`cd "${0}/.." && cmd /c cd | kmk_sed -e 's,\\\\,/,g' `
+if [ ! -d "${MY_DIR}" ]; then
+    echo "Cannot find ${MY_DIR} or it's not a directory..."
+    exit 1;
+fi
+echo MY_DIR=$MY_DIR
+
+set -e
+cd "$MY_DIR"
+set +e
+
+
+#
+# Query the status of the drivers.
+#
+for drv in VBoxNetAdp VBoxNetFlt VBoxUSBMon VBoxUSB VBoxDrv;
+do
+    if sc query $drv > /dev/null; then
+        STATE=`sc query $drv \
+               | kmk_sed -e '/^ *STATE /!d' -e 's/^[^:]*: [0-9 ]*//' \
+                         -e 's/  */ /g' \
+                         -e 's/^ *//g' \
+                         -e 's/ *$//g' \
+              `
+        echo "load.sh: $drv - $STATE"
+    else
+        echo "load.sh: $drv - not configured, probably."
+    fi
+done
+
+set -e
+set -x
+
+#
+# Invoke the uninstallers.
+#
+for uninst in NetAdpUninstall.exe NetFltUninstall.exe USBUninstall.exe SUPUninstall.exe;
+do
+    if test -f ${MY_DIR}/$uninst; then
+        ${MY_DIR}/$uninst
+    fi
+done
+
+#
+# Invoke the installer.
+#
+for inst in SUPInstall.exe;
+do
+    if test -f ${MY_DIR}/$inst; then
+        ${MY_DIR}/$inst
+    fi
+done
+
+echo "load.sh: Successfully installed SUPDrv (aka VBoxDrv)"
+exit 0
+
